Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::core::map< KeyType, ValueType >::Iterator Class Reference

Normal Iterator. More...

`#include <irrMap.h>`

List of all members.

## Public Member Functions

bool | atEnd () const
Node * | getNode ()
| Iterator (const Iterator &src)
| Iterator (Node *root)
| Iterator ()
Node & | operator* ()
void | operator++ (int)
void | operator-- (int)
Node * | operator-> ()
Iterator & | operator= (const Iterator &src)
void | reset (bool atLowest=true)

## Detailed Description

### template<class KeyType, class ValueType>
class irr::core::map< KeyType, ValueType >::Iterator

Normal Iterator.

Definition at line 131 of file irrMap.h.

## Constructor & Destructor Documentation

template<class KeyType, class ValueType>

irr::core::map< KeyType, ValueType >::Iterator::Iterator | ( |  | ) | `[inline]`

Definition at line 135 of file irrMap.h.

template<class KeyType, class ValueType>

irr::core::map< KeyType, ValueType >::Iterator::Iterator | ( | Node * | root | ) | `[inline]`

Definition at line 138 of file irrMap.h.

References irr::core::map< KeyType, ValueType >::Iterator::reset().

template<class KeyType, class ValueType>

irr::core::map< KeyType, ValueType >::Iterator::Iterator | ( | const Iterator & | src | ) | `[inline]`

Definition at line 144 of file irrMap.h.

## Member Function Documentation

template<class KeyType, class ValueType>

bool irr::core::map< KeyType, ValueType >::Iterator::atEnd | ( |  | ) | const`[inline]`

Definition at line 154 of file irrMap.h.

References _IRR_IMPLEMENT_MANAGED_MARSHALLING_BUGFIX.

Referenced by irr::core::map< KeyType, ValueType >::Iterator::operator*().

template<class KeyType, class ValueType>

Node* irr::core::map< KeyType, ValueType >::Iterator::getNode | ( |  | ) | `[inline]`

Definition at line 160 of file irrMap.h.

Referenced by irr::core::map< KeyType, ValueType >::Iterator::operator->().

template<class KeyType, class ValueType>

Node& irr::core::map< KeyType, ValueType >::Iterator::operator* | ( |  | ) | `[inline]`

Definition at line 188 of file irrMap.h.

References _IRR_DEBUG_BREAK_IF, and irr::core::map< KeyType, ValueType >::Iterator::atEnd().

template<class KeyType, class ValueType>

void irr::core::map< KeyType, ValueType >::Iterator::operator++ | ( | int |  | ) | `[inline]`

Definition at line 172 of file irrMap.h.

template<class KeyType, class ValueType>

void irr::core::map< KeyType, ValueType >::Iterator::operator-- | ( | int |  | ) | `[inline]`

Definition at line 177 of file irrMap.h.

template<class KeyType, class ValueType>

Node* irr::core::map< KeyType, ValueType >::Iterator::operator-> | ( |  | ) | `[inline]`

Definition at line 183 of file irrMap.h.

References irr::core::map< KeyType, ValueType >::Iterator::getNode().

template<class KeyType, class ValueType>

Iterator& irr::core::map< KeyType, ValueType >::Iterator::operator= | ( | const Iterator & | src | ) | `[inline]`

Definition at line 165 of file irrMap.h.

template<class KeyType, class ValueType>

void irr::core::map< KeyType, ValueType >::Iterator::reset | ( | bool | atLowest = `true` | ) | `[inline]`

Definition at line 146 of file irrMap.h.

Referenced by irr::core::map< KeyType, ValueType >::Iterator::Iterator().

The documentation for this class was generated from the following file:

- irrMap.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Feb 14 13:07:03 2010 by Doxygen (1.6.2)